Old 05-11-2019, 04:21 AM   #1
studer58
Human being with feelings
 
Join Date: Oct 2008
Posts: 172
Default Unable to update SWS Extensions

I'm running Yosemite OSX... when I start Reaper (latest version 5.977) I get a notice that new SWS Extensions version 2.10.0 is available. I download it from SWS site, drag it across to the UserPlugins folder.

All seems fine, but when I open "About SWS Extensions" it says I have version 2.9.7 (built Sept 28, 2017) still installed, and points me towards the download site again ....the cycle begins anew ! Any ideas of how to complete this update successfully ?
studer58 is offline   Reply With Quote
Old 05-11-2019, 05:47 AM   #2
solger
Human being with feelings
 
solger's Avatar
 
Join Date: Mar 2013
Posts: 3,517
Default

Quote:
hen I start Reaper (latest version 5.977) I get a notice that new SWS Extensions version 2.10.0 is available. I download it from SWS site, drag it across to the UserPlugins folder.
In general, make sure that Reaper is closed and not running in the background when replacing the older SWS .dylib file with the newer one.

Maybe also double-check the Reaper resource folder location via Options > Show REAPER resource path.... Just to rule out that your Reaper install isn't somehow using a different Resource folder.
__________________
ReaLauncher

Last edited by solger; 05-11-2019 at 05:58 AM.
solger is offline   Reply With Quote
Old 05-11-2019, 06:49 AM   #3
bjohn
Human being with feelings
 
Join Date: Feb 2019
Posts: 109
Default

I would just note that if you're doing source-destination editing in Reaper using the custom action from years ago that requires SWS Extensions, you might not actually want to update -- I've seen a few reports here that it's been broken by recent updates.
bjohn is offline   Reply With Quote
Old 05-11-2019, 08:49 AM   #4
nofish
Human being with feelings
 
nofish's Avatar
 
Join Date: Oct 2007
Location: home is where the heart is
Posts: 8,782
Default

https://forum.cockos.com/showthread.php?t=217807

may also help
nofish is offline   Reply With Quote
Old 05-12-2019, 05:40 AM   #5
studer58
Human being with feelings
 
Join Date: Oct 2008
Posts: 172
Default

Quote:
Originally Posted by solger View Post
In general, make sure that Reaper is closed and not running in the background when replacing the older SWS .dylib file with the newer one.

Maybe also double-check the Reaper resource folder location via Options > Show REAPER resource path.... Just to rule out that your Reaper install isn't somehow using a different Resource folder.
Thanks.... that search flushed it out of hiding, all fine now and updated !
studer58 is offline   Reply With Quote
Old 05-12-2019, 05:41 AM   #6
studer58
Human being with feelings
 
Join Date: Oct 2008
Posts: 172
Default

Quote:
Originally Posted by bjohn View Post
I would just note that if you're doing source-destination editing in Reaper using the custom action from years ago that requires SWS Extensions, you might not actually want to update -- I've seen a few reports here that it's been broken by recent updates.
Thank you for the heads up on that, I'll determine if it's still ok ?
studer58 is offline   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -7. The time now is 04:38 AM.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, vBulletin Solutions Inc.